<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:19 PST 2005 -->
<TITLE>
: Class  SQLAccessControlPackageImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLAccessControlPackageImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlFactoryImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/TablePrivilegeImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLAccessControlPackageImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.accesscontrol.impl</FONT>
<BR>
Class  SQLAccessControlPackageImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--org.eclipse.emf.ecore.impl.EModelElementImpl
                          |
                          +--org.eclipse.emf.ecore.impl.ENamedElementImpl
                                |
                                +--org.eclipse.emf.ecore.impl.EPackageImpl
                                      |
                                      +--<B>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.impl.SQLAccessControlPackageImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>SQLAccessControlPackageImpl</B><DT>extends org.eclipse.emf.ecore.impl.EPackageImpl<DT>implements <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc -->
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.wst.rdb.internal.models.sql.accesscontrol.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER">AUTHORIZATION_IDENTIFIER</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__DEPENDENCIES">AUTHORIZATION_IDENTIFIER__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__DESCRIPTION">AUTHORIZATION_IDENTIFIER__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__EANNOTATIONS">AUTHORIZATION_IDENTIFIER__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE">AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION">AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__LABEL">AUTHORIZATION_IDENTIFIER__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__NAME">AUTHORIZATION_IDENTIFIER__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA">AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE">AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION">AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#AUTHORIZATION_IDENTIFIER_FEATURE_COUNT">AUTHORIZATION_IDENTIFIER_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE">DOUBLE_OBJECT_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__ACTION">DOUBLE_OBJECT_PRIVILEGE__ACTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__EANNOTATIONS">DOUBLE_OBJECT_PRIVILEGE__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__GRANTABLE">DOUBLE_OBJECT_PRIVILEGE__GRANTABLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__GRANTOR">DOUBLE_OBJECT_PRIVILEGE__GRANTOR</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__OBJECT">DOUBLE_OBJECT_PRIVILEGE__OBJECT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE__OBJECT2">DOUBLE_OBJECT_PRIVILEGE__OBJECT2</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#DOUBLE_OBJECT_PRIVILEGE_FEATURE_COUNT">DOUBLE_OBJECT_PRIVILEGE_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#eINSTANCE">eINSTANCE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#eNAME">eNAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#eNS_PREFIX">eNS_PREFIX</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#eNS_URI">eNS_URI</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP">GROUP</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__DEPENDENCIES">GROUP__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__DESCRIPTION">GROUP__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__EANNOTATIONS">GROUP__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__GRANTED_PRIVILEGE">GROUP__GRANTED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__GRANTED_ROLE_AUTHORIZATION">GROUP__GRANTED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__LABEL">GROUP__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__NAME">GROUP__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__OWNED_SCHEMA">GROUP__OWNED_SCHEMA</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__RECEIVED_PRIVILEGE">GROUP__RECEIVED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__RECEIVED_ROLE_AUTHORIZATION">GROUP__RECEIVED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP__USER">GROUP__USER</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#GROUP_FEATURE_COUNT">GROUP_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE">PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE__ACTION">PRIVILEGE__ACTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE__EANNOTATIONS">PRIVILEGE__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE__GRANTABLE">PRIVILEGE__GRANTABLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE__GRANTOR">PRIVILEGE__GRANTOR</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE__OBJECT">PRIVILEGE__OBJECT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#PRIVILEGE_FEATURE_COUNT">PRIVILEGE_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE">ROLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__DEPENDENCIES">ROLE__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__DESCRIPTION">ROLE__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__EANNOTATIONS">ROLE__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__GRANTED_PRIVILEGE">ROLE__GRANTED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__GRANTED_ROLE_AUTHORIZATION">ROLE__GRANTED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__LABEL">ROLE__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__NAME">ROLE__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__OWNED_SCHEMA">ROLE__OWNED_SCHEMA</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__RECEIVED_PRIVILEGE">ROLE__RECEIVED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__RECEIVED_ROLE_AUTHORIZATION">ROLE__RECEIVED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE__ROLE_AUTHORIZATION">ROLE__ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION">ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION__GRANTABLE">ROLE_AUTHORIZATION__GRANTABLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION__GRANTEE">ROLE_AUTHORIZATION__GRANTEE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION__GRANTOR">ROLE_AUTHORIZATION__GRANTOR</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION__ROLE">ROLE_AUTHORIZATION__ROLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_AUTHORIZATION_FEATURE_COUNT">ROLE_AUTHORIZATION_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#ROLE_FEATURE_COUNT">ROLE_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE">TABLE_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__ACTION">TABLE_PRIVILEGE__ACTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__EANNOTATIONS">TABLE_PRIVILEGE__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__GRANTABLE">TABLE_PRIVILEGE__GRANTABLE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__GRANTOR">TABLE_PRIVILEGE__GRANTOR</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__OBJECT">TABLE_PRIVILEGE__OBJECT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE__WITH_HIERARCHY">TABLE_PRIVILEGE__WITH_HIERARCHY</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#TABLE_PRIVILEGE_FEATURE_COUNT">TABLE_PRIVILEGE_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER">USER</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__DEPENDENCIES">USER__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__DESCRIPTION">USER__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__EANNOTATIONS">USER__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__GRANTED_PRIVILEGE">USER__GRANTED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__GRANTED_ROLE_AUTHORIZATION">USER__GRANTED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__LABEL">USER__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__NAME">USER__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__OWNED_SCHEMA">USER__OWNED_SCHEMA</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__RECEIVED_PRIVILEGE">USER__RECEIVED_PRIVILEGE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER__RECEIVED_ROLE_AUTHORIZATION">USER__RECEIVED_ROLE_AUTHORIZATION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#USER_FEATURE_COUNT">USER_FEATURE_COUNT</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#createPackageContents()">createPackageContents</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the meta-model objects for the package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier_GrantedPrivilege()">getAuthorizationIdentifier_GrantedPrivilege</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier_GrantedRoleAuthorization()">getAuthorizationIdentifier_GrantedRoleAuthorization</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier_OwnedSchema()">getAuthorizationIdentifier_OwnedSchema</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier_ReceivedPrivilege()">getAuthorizationIdentifier_ReceivedPrivilege</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier_ReceivedRoleAuthorization()">getAuthorizationIdentifier_ReceivedRoleAuthorization</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getAuthorizationIdentifier()">getAuthorizationIdentifier</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getDoubleObjectPrivilege_Object2()">getDoubleObjectPrivilege_Object2</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getDoubleObjectPrivilege()">getDoubleObjectPrivilege</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getGroup_User()">getGroup_User</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getGroup()">getGroup</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getPrivilege_Action()">getPrivilege_Action</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getPrivilege_Grantable()">getPrivilege_Grantable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getPrivilege_Grantor()">getPrivilege_Grantor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getPrivilege_Object()">getPrivilege_Object</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getPrivilege()">getPrivilege</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRole_RoleAuthorization()">getRole_RoleAuthorization</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRole()">getRole</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRoleAuthorization_Grantable()">getRoleAuthorization_Grantable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRoleAuthorization_Grantee()">getRoleAuthorization_Grantee</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRoleAuthorization_Grantor()">getRoleAuthorization_Grantor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EReference</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRoleAuthorization_Role()">getRoleAuthorization_Role</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getRoleAuthorization()">getRoleAuthorization</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlFactory.html">SQLAccessControlFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getSQLAccessControlFactory()">getSQLAccessControlFactory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getTablePrivilege_WithHierarchy()">getTablePrivilege_WithHierarchy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getTablePrivilege()">getTablePrivilege</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#getUser()">getUser</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#init()">init</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates, registers, and initializes the <b>Package</b> for this
 model, and for any others upon which it depends.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#initializePackageContents()">initializePackageContents</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Complete the initialization of the package and its meta-model.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EPackageImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>basicSetEFactoryInstance, eBasicRemoveFromContainer, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, freeze, getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.ENamedElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, getNameGen, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EModelElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="init()"><!-- --></A><H3>
init</H3>
<PRE>
public static <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A> <B>init</B>()</PRE>
<DL>
<DD>Creates, registers, and initializes the <b>Package</b> for this
 model, and for any others upon which it depends.  Simple
 dependencies are satisfied by calling this method on all
 dependent packages before doing anything else.  This method drives
 initialization for interdependent packages directly, in parallel
 with this package, itself.
 <p>Of this package and its interdependencies, all packages which
 have not yet been registered by their URI values are first created
 and registered.  The packages are then initialized in two steps:
 meta-model objects for all of the packages are created before any
 are initialized, since one package's meta-model objects may refer to
 those of another.
 <p>Invocation of this method will not affect any packages that have
 already been initialized.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#eNS_URI"><CODE>SQLAccessControlPackage.eNS_URI</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#createPackageContents()"><CODE>createPackageContents()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlPackageImpl.html#initializePackageContents()"><CODE>initializePackageContents()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier()"><!-- --></A><H3>
getAuthorizationIdentifier</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getAuthorizationIdentifier</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()">getAuthorizationIdentifier</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Authorization Identifier</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html"><CODE>AuthorizationIdentifier</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier_OwnedSchema()"><!-- --></A><H3>
getAuthorizationIdentifier_OwnedSchema</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getAuthorizationIdentifier_OwnedSchema</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier_OwnedSchema()">getAuthorizationIdentifier_OwnedSchema</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>Owned Schema</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html#getOwnedSchema()"><CODE>AuthorizationIdentifier.getOwnedSchema()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()"><CODE>SQLAccessControlPackage.getAuthorizationIdentifier()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier_ReceivedRoleAuthorization()"><!-- --></A><H3>
getAuthorizationIdentifier_ReceivedRoleAuthorization</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getAuthorizationIdentifier_ReceivedRoleAuthorization</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier_ReceivedRoleAuthorization()">getAuthorizationIdentifier_ReceivedRoleAuthorization</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>Received Role Authorization</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html#getReceivedRoleAuthorization()"><CODE>AuthorizationIdentifier.getReceivedRoleAuthorization()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()"><CODE>SQLAccessControlPackage.getAuthorizationIdentifier()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier_GrantedRoleAuthorization()"><!-- --></A><H3>
getAuthorizationIdentifier_GrantedRoleAuthorization</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getAuthorizationIdentifier_GrantedRoleAuthorization</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier_GrantedRoleAuthorization()">getAuthorizationIdentifier_GrantedRoleAuthorization</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>Granted Role Authorization</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html#getGrantedRoleAuthorization()"><CODE>AuthorizationIdentifier.getGrantedRoleAuthorization()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()"><CODE>SQLAccessControlPackage.getAuthorizationIdentifier()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier_GrantedPrivilege()"><!-- --></A><H3>
getAuthorizationIdentifier_GrantedPrivilege</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getAuthorizationIdentifier_GrantedPrivilege</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier_GrantedPrivilege()">getAuthorizationIdentifier_GrantedPrivilege</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>Granted Privilege</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html#getGrantedPrivilege()"><CODE>AuthorizationIdentifier.getGrantedPrivilege()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()"><CODE>SQLAccessControlPackage.getAuthorizationIdentifier()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationIdentifier_ReceivedPrivilege()"><!-- --></A><H3>
getAuthorizationIdentifier_ReceivedPrivilege</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getAuthorizationIdentifier_ReceivedPrivilege</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier_ReceivedPrivilege()">getAuthorizationIdentifier_ReceivedPrivilege</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the containment reference list '<em>Received Privilege</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/AuthorizationIdentifier.html#getReceivedPrivilege()"><CODE>AuthorizationIdentifier.getReceivedPrivilege()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getAuthorizationIdentifier()"><CODE>SQLAccessControlPackage.getAuthorizationIdentifier()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPrivilege()"><!-- --></A><H3>
getPrivilege</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getPrivilege</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege()">getPrivilege</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Privilege</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Privilege.html"><CODE>Privilege</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPrivilege_Grantable()"><!-- --></A><H3>
getPrivilege_Grantable</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getPrivilege_Grantable</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege_Grantable()">getPrivilege_Grantable</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>Grantable</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Privilege.html#isGrantable()"><CODE>Privilege.isGrantable()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege()"><CODE>SQLAccessControlPackage.getPrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPrivilege_Action()"><!-- --></A><H3>
getPrivilege_Action</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getPrivilege_Action</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege_Action()">getPrivilege_Action</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>Action</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Privilege.html#getAction()"><CODE>Privilege.getAction()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege()"><CODE>SQLAccessControlPackage.getPrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPrivilege_Grantor()"><!-- --></A><H3>
getPrivilege_Grantor</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getPrivilege_Grantor</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege_Grantor()">getPrivilege_Grantor</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Grantor</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Privilege.html#getGrantor()"><CODE>Privilege.getGrantor()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege()"><CODE>SQLAccessControlPackage.getPrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPrivilege_Object()"><!-- --></A><H3>
getPrivilege_Object</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getPrivilege_Object</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege_Object()">getPrivilege_Object</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Object</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Privilege.html#getObject()"><CODE>Privilege.getObject()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getPrivilege()"><CODE>SQLAccessControlPackage.getPrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getGroup()"><!-- --></A><H3>
getGroup</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getGroup</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getGroup()">getGroup</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Group</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Group.html"><CODE>Group</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getGroup_User()"><!-- --></A><H3>
getGroup_User</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getGroup_User</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getGroup_User()">getGroup_User</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>User</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Group.html#getUser()"><CODE>Group.getUser()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getGroup()"><CODE>SQLAccessControlPackage.getGroup()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getUser()"><!-- --></A><H3>
getUser</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getUser</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getUser()">getUser</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>User</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/User.html"><CODE>User</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRole()"><!-- --></A><H3>
getRole</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getRole</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRole()">getRole</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Role</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Role.html"><CODE>Role</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRole_RoleAuthorization()"><!-- --></A><H3>
getRole_RoleAuthorization</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getRole_RoleAuthorization</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRole_RoleAuthorization()">getRole_RoleAuthorization</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference list '<em>Role Authorization</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/Role.html#getRoleAuthorization()"><CODE>Role.getRoleAuthorization()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRole()"><CODE>SQLAccessControlPackage.getRole()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRoleAuthorization()"><!-- --></A><H3>
getRoleAuthorization</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getRoleAuthorization</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization()">getRoleAuthorization</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Role Authorization</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/RoleAuthorization.html"><CODE>RoleAuthorization</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRoleAuthorization_Grantable()"><!-- --></A><H3>
getRoleAuthorization_Grantable</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getRoleAuthorization_Grantable</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization_Grantable()">getRoleAuthorization_Grantable</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>Grantable</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/RoleAuthorization.html#isGrantable()"><CODE>RoleAuthorization.isGrantable()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization()"><CODE>SQLAccessControlPackage.getRoleAuthorization()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRoleAuthorization_Role()"><!-- --></A><H3>
getRoleAuthorization_Role</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getRoleAuthorization_Role</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization_Role()">getRoleAuthorization_Role</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Role</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/RoleAuthorization.html#getRole()"><CODE>RoleAuthorization.getRole()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization()"><CODE>SQLAccessControlPackage.getRoleAuthorization()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRoleAuthorization_Grantee()"><!-- --></A><H3>
getRoleAuthorization_Grantee</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getRoleAuthorization_Grantee</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization_Grantee()">getRoleAuthorization_Grantee</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Grantee</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/RoleAuthorization.html#getGrantee()"><CODE>RoleAuthorization.getGrantee()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization()"><CODE>SQLAccessControlPackage.getRoleAuthorization()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRoleAuthorization_Grantor()"><!-- --></A><H3>
getRoleAuthorization_Grantor</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getRoleAuthorization_Grantor</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization_Grantor()">getRoleAuthorization_Grantor</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Grantor</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/RoleAuthorization.html#getGrantor()"><CODE>RoleAuthorization.getGrantor()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getRoleAuthorization()"><CODE>SQLAccessControlPackage.getRoleAuthorization()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getTablePrivilege()"><!-- --></A><H3>
getTablePrivilege</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getTablePrivilege</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getTablePrivilege()">getTablePrivilege</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Table Privilege</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/TablePrivilege.html"><CODE>TablePrivilege</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getTablePrivilege_WithHierarchy()"><!-- --></A><H3>
getTablePrivilege_WithHierarchy</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getTablePrivilege_WithHierarchy</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getTablePrivilege_WithHierarchy()">getTablePrivilege_WithHierarchy</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>With Hierarchy</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/TablePrivilege.html#isWithHierarchy()"><CODE>TablePrivilege.isWithHierarchy()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getTablePrivilege()"><CODE>SQLAccessControlPackage.getTablePrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleObjectPrivilege()"><!-- --></A><H3>
getDoubleObjectPrivilege</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getDoubleObjectPrivilege</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getDoubleObjectPrivilege()">getDoubleObjectPrivilege</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Double Object Privilege</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/DoubleObjectPrivilege.html"><CODE>DoubleObjectPrivilege</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleObjectPrivilege_Object2()"><!-- --></A><H3>
getDoubleObjectPrivilege_Object2</H3>
<PRE>
public org.eclipse.emf.ecore.EReference <B>getDoubleObjectPrivilege_Object2</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getDoubleObjectPrivilege_Object2()">getDoubleObjectPrivilege_Object2</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the reference '<em>Object2</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/DoubleObjectPrivilege.html#getObject2()"><CODE>DoubleObjectPrivilege.getObject2()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getDoubleObjectPrivilege()"><CODE>SQLAccessControlPackage.getDoubleObjectPrivilege()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLAccessControlFactory()"><!-- --></A><H3>
getSQLAccessControlFactory</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlFactory.html">SQLAccessControlFactory</A> <B>getSQLAccessControlFactory</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html#getSQLAccessControlFactory()">getSQLAccessControlFactory</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/SQLAccessControlPackage.html">SQLAccessControlPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.accesscontrol.SQLAccessControlPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the factory that creates the instances of the model.</DL>
</DD>
</DL>
<HR>

<A NAME="createPackageContents()"><!-- --></A><H3>
createPackageContents</H3>
<PRE>
public void <B>createPackageContents</B>()</PRE>
<DL>
<DD>Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="initializePackageContents()"><!-- --></A><H3>
initializePackageContents</H3>
<PRE>
public void <B>initializePackageContents</B>()</PRE>
<DL>
<DD>Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLAccessControlPackageImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/SQLAccessControlFactoryImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/accesscontrol/impl/TablePrivilegeImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLAccessControlPackageImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
